Jump to content
funtoo forums
  • 0
esa1966

xorg-server blocked by eselect-opengl

Question

Hi,

Emerge World give me error.

[ebuild     U  ] net-wireless/wireless-regdb-20150925 [20150605]
[ebuild     U  ] dev-libs/libltdl-2.4.4 [2.4.3]
[ebuild     U  ] media-libs/libpng-1.6.18 [1.6.16]
[ebuild     U  ] sys-devel/libtool-2.4.4 [2.4.3-r2]
[ebuild     UD ] x11-libs/libdrm-2.4.59 [2.4.61]
[ebuild     U  ] x11-libs/pixman-0.32.8 [0.32.6]
[ebuild  r  U  ] dev-libs/nettle-3.1.1 [2.7.1-r4] CPU_FLAGS_X86="-aes%" 
[ebuild     U  ] dev-libs/openssl-1.0.2d [1.0.1p] USE="asm%* -sctp%" 
[ebuild   R    ] sys-libs/readline-6.3_p8-r2  USE="-utils%" 
[ebuild     UD ] sys-apps/attr-2.4.47-r2 [2.4.47-r3]
[ebuild     U  ] app-portage/eix-0.30.11 [0.30.10]
[ebuild     UD ] x11-misc/xkeyboard-config-2.14 [2.15]
[ebuild     U  ] app-admin/eselect-1.4.5 [1.4.4]
[ebuild     UD ] sys-devel/autogen-5.18.1 [5.18.4-r3]
[ebuild  rR    ] net-libs/gnutls-3.3.17.1 
[ebuild     U  ] dev-vcs/git-2.4.9 [2.4.6]
[ebuild     UD ] net-misc/dhcpcd-6.9.0 [6.9.1]
[ebuild     U  ] net-misc/openssh-6.9_p1-r2 [6.8_p1-r3]
[ebuild     UD ] x11-base/xorg-server-1.16.4 [1.16.4-r1]
[ebuild     UD ] x11-drivers/xf86-input-evdev-2.9.1 [2.9.2]
[ebuild     U  ] sys-apps/util-linux-2.26.2 [2.25.2-r1] USE="udev%* -static-libs* -systemd% -tty-helpers*" 
[ebuild     U  ] x11-drivers/nvidia-drivers-340.93 [340.76]
[ebuild     U  ] app-admin/webapp-config-1.54-r1 [1.53-r2]
[blocks B      ] >=app-eselect/eselect-opengl-1.3.0 (">=app-eselect/eselect-opengl-1.3.0" is blocking x11-base/xorg-server-1.16.4)

xorg-server-1.16.4-r1 is installed and ask to downgrade. It mean r1 was stable before?

emerge --info
Portage 2.3.6-r9 (funtoo/1.0/linux-gnu/arch/x86-32bit, gcc-4.9.3, glibc-2.20-r2, 3.2.1-gentoo-r2 i686)
=================================================================
System uname: Linux-3.2.1-gentoo-r2-i686-Intel-R-_Atom-TM-_CPU_D525_@_1.80GHz-with-gentoo-2.2.0
KiB Mem:     2072576 total,    182728 free
KiB Swap:    3906556 total,   3711052 free
Timestamp of tree: Unknown
ld GNU ld (Funtoo 2.25) 2.25.0
app-shells/bash:          4.3_p39-r1
dev-java/java-config:     2.2.0-r1000
dev-lang/perl:            5.20.2
dev-lang/python:          2.7.10-r1000, 3.3.6-r1000
dev-util/cmake:           3.2.3
sys-apps/baselayout:      2.2.0-r6
sys-apps/openrc:          0.12.4-r4
sys-apps/sandbox:         2.6-r2
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.14.1, 1.15
sys-devel/binutils:       2.25-r2
sys-devel/gcc:            4.9.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 4.0 (virtual/os-headers)
sys-libs/glibc:           2.20-r2
Repositories: gentoo sunrise squeezebox Overlay_esa
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE PUEL sun-jdk-1.1 dlj-1.1"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS=""
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=5 --load-average=20 --with-bdeps=y --complete-graph --autounmask=y --autounmask-write"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync mini-manifest news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j3 -l3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/squeezebox /usr/local/portage"
SYNC="git://github.com/funtoo/ports-2012.git"
SYNC_USER="root"
USE="7Zip X a52 aac acl acpi alsa apache2 apng bash-completion berkdb bluray bzip2 cdda cddb cdio cdparanoia cdr consolekit cracklib crypt ctype cxx dbus directfb dri dts dvb dvd dvdr dvdread encode exif faac faad fat fbcon ffmpeg flac fuse gdbm gdu ggi gif gphoto2 gpm i8x0 ico iconv icu ieee1394 ios ipod jpeg jpeg2k lame libass libcaca libguess libmpeg2 libnotify lirc lock lzma lzo matroska mjpeg mmx mmxext modules mp3 mp4 mpeg mtp mudflap mysql ncurses nls nptl nsplugin ntfs nvidia ogg opengl openmp oss pam pcre pdf php png policykit postproc pppd python rar readline resolvconf samba session sndfile sse sse2 ssl ssse3 startup-notification svg taglib tcpd theora thunar tiff tokenizer truetype truetype-fonts twolame udev unicode userlocales v4l2 vdpau vorbis vpx wav wavpack webkit webp wmf x264 x265 x86 xattr xml xv xvid zip zlib {USE_KERNEL}" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel ice1724 intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 pc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_ABIS="2.7 3.3" PYTHON_SINGLE_TARGET="python3_3" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386" QEMU_USER_TARGETS="i386" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK

(app-eselect/eselect-opengl-1.3.1-r3::gentoo, installed) pulled in by
    >=app-eselect/eselect-opengl-1.3.0 required by (media-libs/mesa-10.5.2::gentoo, installed)
    >=app-eselect/eselect-opengl-1.3.0 required by (x11-proto/glproto-1.4.17-r1::gentoo, installed)
    >=app-eselect/eselect-opengl-1.0.9 required by (x11-drivers/nvidia-drivers-340.93::gentoo, ebuild scheduled for merge)
    >=app-eselect/eselect-opengl-1.0.8 required by (x11-base/xorg-server-1.16.4::gentoo, ebuild scheduled for merge)

I uninstalled xorg-server.

I installed app-eselect/eselect-opengl

 

But now I'm not able to reinstall xorg-server.

 

If I try to install xorg-server-1.16.4-r1 or xorg-server-1.16.4-r4, then it crashes

 

Can you help?

thank

Share this post


Link to post
Share on other sites

11 answers to this question

Recommended Posts

  • 0

Hi esa1966

Your ACCEPT_KEYWORDS is set for a stable system:

ACCEPT_KEYWORDS="x86"

Problem is created by mixing stable packages with current/unstable/testing packages on same system.

Overlays can cause even more headaches.

Share this post


Link to post
Share on other sites
  • 0

Hi Cardinal,

I certainly installed a unstable version of a package.

 

How can I trace the package taht want to install " >=app-eselect/eselect-opengl-1.3.0" that is unstable?

 

I also see that "media-libs/mesa-10.5.2" want to install.

Using "equery g media-libs/mesa-10.5.2" gives me :

* Searching for mesa10.5.2 in media-libs ...

 * dependency graph for media-libs/mesa-10.5.2
 `--  media-libs/mesa-10.5.2  unknown
   `--  app-eselect/eselect-mesa-0.0.10  (app-eselect/eselect-mesa) x86
   `--  app-eselect/eselect-opengl-1.3.1-r3  (>=app-eselect/eselect-opengl-1.3.0) unknown
   `--  virtual/libudev-215-r1  (>=virtual/libudev-215) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  dev-libs/expat-2.1.0-r5  (>=dev-libs/expat-2.1.0-r3) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libX11-1.6.2  (>=x11-libs/libX11-1.6.2) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libxshmfence-1.2  (>=x11-libs/libxshmfence-1.1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libXdamage-1.1.4-r1  (>=x11-libs/libXdamage-1.1.4-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libXext-1.3.3  (>=x11-libs/libXext-1.3.2) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libXxf86vm-1.1.4  (>=x11-libs/libXxf86vm-1.1.3) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libxcb-1.11-r1  (>=x11-libs/libxcb-1.9.3) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libXfixes-5.0.1  (x11-libs/libXfixes) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  dev-libs/elfutils-0.158  (>=dev-libs/elfutils-0.155-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  dev-libs/libelf-0.8.13-r2  (>=dev-libs/libelf-0.8.13-r2) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  sys-devel/llvm-3.5.0  (<sys-devel/llvm-3.7) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  app-eselect/eselect-opencl-1.1.0-r1  (app-eselect/eselect-opencl) x86
   `--  dev-libs/libclc-0.0.1_pre20141027  (dev-libs/libclc) x86
   `--  media-libs/libomxil-bellagio-0.9.3  (>=media-libs/libomxil-bellagio-0.9.3) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libva-1.3.1  (>=x11-libs/libva-0.35.0) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libvdpau-1.1.1  (>=x11-libs/libvdpau-0.7) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  dev-libs/wayland-1.7.0  (>=dev-libs/wayland-1.2.0) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libXvMC-1.0.8  (>=x11-libs/libXvMC-1.0.8) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-libs/libdrm-2.4.59  (>=x11-libs/libdrm-2.4.57) x86  [video_cards_freedreno? video_cards_nouveau? video_cards_vmware? abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  dev-lang/python-2.7.10-r1000  (>=dev-lang/python-2.7.5-r2) unknown
   `--  sys-devel/clang-3.5.0-r100  (<sys-devel/clang-3.7) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  sys-devel/gcc-4.9.3  (>=sys-devel/gcc-4.6) unknown
   `--  sys-devel/bison-2.4.3  (sys-devel/bison) x86
   `--  sys-devel/flex-2.5.39-r1  (sys-devel/flex) x86
   `--  dev-python/mako-1.0.0-r1000  (>=dev-python/mako-0.7.3) unknown  [python_targets_python2_7(-) python_single_target_python2_7(+)]
   `--  sys-devel/gettext-0.19.6  (sys-devel/gettext) unknown
   `--  virtual/pkgconfig-0-r1  (virtual/pkgconfig) unknown
   `--  x11-proto/dri2proto-2.8-r1  (>=x11-proto/dri2proto-2.8-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/dri3proto-1.0  (>=x11-proto/dri3proto-1.0) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/presentproto-1.0  (>=x11-proto/presentproto-1.0) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/glproto-1.4.17-r1  (>=x11-proto/glproto-1.4.17-r1) unknown  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/xextproto-7.3.0  (>=x11-proto/xextproto-7.2.1-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/xf86driproto-2.1.1-r1  (>=x11-proto/xf86driproto-2.1.1-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  x11-proto/xf86vidmodeproto-2.3.1-r1  (>=x11-proto/xf86vidmodeproto-2.3.1-r1) x86  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? abi_ppc_32(-)? abi_ppc_64(-)? abi_s390_32(-)? abi_s390_64(-)?]
   `--  sys-devel/automake-1.15  (>=sys-devel/automake-1.15) x86
   `--  sys-devel/autoconf-2.69  (>=sys-devel/autoconf-2.69) x86
   `--  sys-devel/libtool-2.4.4  (>=sys-devel/libtool-2.4) x86
[ media-libs/mesa-10.5.2 stats: packages (41), max depth (1) ]

then for "eselect-opengl1.3.1-r3"

* Searching for eselect-opengl1.3.1-r3 in app-eselect ...

 * dependency graph for app-eselect/eselect-opengl-1.3.1-r3
 `--  app-eselect/eselect-opengl-1.3.1-r3  unknown
   `--  app-arch/xz-utils-5.0.8  (app-arch/xz-utils) x86
   `--  app-admin/eselect-1.4.5  (>=app-admin/eselect-1.2.4) unknown
[ app-eselect/eselect-opengl-1.3.1-r3 stats: packages (3), max depth (1) ]

I unmerged app-admin/eselect

 

But When emerge it again it want version 145

: Emerging (1 of 1) app-admin/eselect-1.4.5::gentoo

 

When I search who want version 1.4.5 : I don't find s request 1.4.5

equery depends app-admin/eselect
 * These packages depend on app-admin/eselect:
app-eselect/eselect-fontconfig-1.1 (>=app-admin/eselect-1.2.3)
app-eselect/eselect-java-0.1.0 (app-admin/eselect)
app-eselect/eselect-lib-bin-symlink-0.1.1 (app-admin/eselect)
app-eselect/eselect-mesa-0.0.10 (>=app-admin/eselect-1.2.4)
app-eselect/eselect-opencl-1.1.0-r1 (>=app-admin/eselect-1.2.4)
app-eselect/eselect-php-0.7.1-r4 (>=app-admin/eselect-1.2.4)
app-eselect/eselect-python-20111108 (>=app-admin/eselect-1.2.3)
app-eselect/eselect-qtgraphicssystem-1.1.1 (>=app-admin/eselect-1.2.4)
app-eselect/eselect-ruby-20141227 (>=app-admin/eselect-1.0.2)
app-eselect/eselect-vi-1.1.7-r1 (>=app-admin/eselect-1.0.6)
sys-apps/portage-2.4.0 (!build ? >=app-admin/eselect-1.2)

It will be difficult to rebuild all my system.

 

Is it some procedure to follow to rebuild all the system as a STABLE system?

Thank

Share this post


Link to post
Share on other sites
  • 0

I have a similar situation..., I am currently experimenting with stable pure64 build and its the same error/problem as well...

 

what I have done to 'fix' it is doing something below:

echo "x11-base/xorg-server ~amd64" >> /etc/portage/package.keywords

it was able to proceed without complains but I believe this is not the right way...

 

 

edit:

I seem to have mangled emerge (won't work anymore)

have to rebuild again, will post full details also if all is rebuilt untill this error happens.

Share this post


Link to post
Share on other sites
  • 0

here is my epro..., emerge --info and the corresponding similar error

localhost ~ # epro show

=== Enabled Profiles: ===

        arch: pure64
       build: stable
     subarch: intel64-nehalem-pure64
      flavor: workstation
     mix-ins: hardened
     mix-ins: no-systemd
     mix-ins: xfce


=== All inherited flavors from workstation flavor: ===

                            core (from workstation flavor)
                         minimal (from core flavor)

=== All inherited mix-ins from workstation flavor: ===

                               X (from workstation flavor)
                           audio (from workstation flavor)
                             dvd (from workstation flavor)
                           media (from workstation flavor)
      mediadevice-audio-consumer (from media mix-in)
                mediadevice-base (from mediadevice-audio-consumer mix-in)
      mediadevice-video-consumer (from media mix-in)
                mediadevice-base (from mediadevice-video-consumer mix-in)
        mediaformat-audio-common (from media mix-in)
          mediaformat-gfx-common (from media mix-in)
        mediaformat-video-common (from media mix-in)
                  console-extras (from workstation flavor)

Portage 2.2.20.1 (python 3.3.6-final-0, funtoo/1.0/linux-gnu/arch/pure64, gcc-4.9.2, glibc-2.20-r2, 3.19.3-1~exp1 x86_64)
=================================================================
System uname: Linux-3.19.3-1~exp1-x86_64-Intel-R-_Xeon-R-_CPU_E5520_@_2.27GHz-with-gentoo-2.2.0
KiB Mem:     4040100 total,   3852508 free
KiB Swap:    4194300 total,   4194300 free
sh bash 4.3_p39-r1
ld GNU ld (Funtoo 2.25) 2.25.0
app-shells/bash:          4.3_p39-r1::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1000::gentoo, 3.3.6-r1000::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
sys-apps/baselayout:      2.2.0-r6::gentoo
sys-apps/openrc:          0.12.4-r4::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r2::gentoo
sys-devel/gcc:            4.9.2-r2::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.4::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://github.com/funtoo/ports-2012.git
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nehalem -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=nehalem -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=nehalem -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK="/usr/lib/systemd/ /lib/systemd/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng berkdb bluray bzip2 cdda cddb cdio cdr consolekit cracklib crypt cxx dbus dri dts dvd dvdr dvdread encode exif faac faad ffmpeg flac gdbm gif gpm gtk hardened ico iconv icu ieee1394 ios ipod ipv6 jpeg jpeg2k lame libass libguess libmpeg2 libnotify lock mad matroska mjpeg mmx modules mp3 mpeg mtp mudflap ncurses nls nptl nsplugin ogg opengl openmp pam pax_kernel pcre pdf pic png policykit postproc pppd python quicktime readline resolvconf session sndfile sse sse2 ssl startup-notification svg taglib tcpd theora thunar tiff truetype twolame udev unicode urandom v4l vorbis vpx wav wavpack webp win32codecs wmf x264 x265 xattr xml xtpax xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel ice1724 intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_ABIS="2.7 3.3" PYTHON_SINGLE_TARGET="python3_3" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby20 ruby21 ruby22" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

here is where the error occurs when I am trying to emerge xorg

localhost ~ # emerge -av x11-base/xorg-server

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sys-libs/mtdev-1.1.5::gentoo  USE="-static-libs" 0 KiB
[ebuild  N     ] x11-proto/fontsproto-2.1.3::gentoo  USE="-doc" 0 KiB
[ebuild  N     ] x11-libs/libpciaccess-0.13.3::gentoo  USE="zlib -static-libs" 0 KiB
[ebuild  N     ] x11-proto/videoproto-2.3.2::gentoo  0 KiB
[ebuild  N     ] x11-proto/xineramaproto-1.2.1-r1::gentoo  0 KiB
[ebuild  N     ] x11-libs/libxkbfile-1.0.8::gentoo  USE="-static-libs" 0 KiB
[ebuild  N     ] dev-libs/libevdev-1.3::gentoo  USE="-static-libs" 0 KiB
[ebuild  N     ] x11-proto/xf86rushproto-1.1.2-r1::gentoo  0 KiB
[ebuild  N     ] x11-apps/rgb-1.0.6::gentoo  0 KiB
[ebuild  N     ] x11-proto/resourceproto-1.2.0::gentoo  0 KiB
[ebuild  N     ] x11-proto/xf86dgaproto-2.1-r2::gentoo  0 KiB
[ebuild  N     ] x11-proto/xcmiscproto-1.2.2::gentoo  USE="-doc" 0 KiB
[ebuild  N     ] x11-proto/scrnsaverproto-1.2.2-r1::gentoo  USE="-doc" 0 KiB
[ebuild  N     ] x11-proto/trapproto-3.4.3::gentoo  0 KiB
[ebuild  N     ] x11-apps/iceauth-1.0.7::gentoo  0 KiB
[ebuild  N     ] x11-misc/xbitmaps-1.1.1::gentoo  0 KiB
[ebuild  N     ] x11-proto/bigreqsproto-1.1.2::gentoo  USE="-doc" 0 KiB
[ebuild  N     ] x11-apps/xrdb-1.1.0::gentoo  0 KiB
[ebuild  N     ] x11-apps/xkbcomp-1.3.0::gentoo  0 KiB
[ebuild  N     ] x11-libs/libXfont-1.5.1::gentoo  USE="bzip2 ipv6 truetype -doc -static-libs" 0 KiB
[ebuild  N     ] x11-apps/xinit-1.3.3-r1::gentoo  USE="minimal" 0 KiB
[ebuild  N     ] x11-misc/xkeyboard-config-2.14::gentoo  0 KiB
[ebuild  N     ] x11-base/xorg-server-1.16.4:0/1.16.1::gentoo  USE="ipv6 nptl suid udev xorg -dmx -doc -glamor -kdrive -minimal (-selinux) -static-libs (-systemd) -tslib -unwind -wayland -xnest -xvfb" 0 KiB
[ebuild  N     ] x11-base/xorg-drivers-1.16::gentoo  INPUT_DEVICES="evdev keyboard mouse synaptics -acecad -aiptek -elographics -fpit -hyperpen -joystick (-libinput) -mutouch -penmount -tslib -vmmouse -void -wacom" VIDEO_CARDS="nouveau -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-freedreno) (-geode) -glint -i128 (-i740) -intel -mach64 -mga -modesetting -neomagic -nv -nvidia (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3 -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo)" 0 KiB
[ebuild  N     ] x11-drivers/xf86-video-nouveau-1.0.11::gentoo  USE="-glamor" 0 KiB
[ebuild  N     ] x11-drivers/xf86-input-evdev-2.9.1::gentoo  0 KiB
[ebuild  N     ] x11-drivers/xf86-input-synaptics-1.8.1::gentoo  0 KiB
[ebuild  N     ] x11-drivers/xf86-input-keyboard-1.8.0::gentoo  0 KiB
[ebuild  N     ] x11-drivers/xf86-input-mouse-1.9.1::gentoo  0 KiB
[blocks B      ] >=app-eselect/eselect-opengl-1.3.0 (">=app-eselect/eselect-opengl-1.3.0" is blocking x11-base/xorg-server-1.16.4)

Total: 29 packages (29 new), Size of downloads: 0 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-base/xorg-server-1.16.4:0/1.16.1::gentoo, ebuild scheduled for merge) pulled in by
    x11-base/xorg-server[glamor(-)?] (x11-base/xorg-server) required by (x11-drivers/xf86-video-nouveau-1.0.11:0/0::gentoo, ebuild scheduled for merge)
    >=x11-base/xorg-server-1.7 required by (x11-drivers/xf86-input-mouse-1.9.1:0/0::gentoo, ebuild scheduled for merge)
    >=x11-base/xorg-server-1.6.3 required by (x11-drivers/xf86-input-keyboard-1.8.0:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-video-nouveau-1.0.11:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server:= required by (x11-drivers/xf86-input-mouse-1.9.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server:= required by (x11-drivers/xf86-input-keyboard-1.8.0:0/0::gentoo, ebuild scheduled for merge)
    >=x11-base/xorg-server-1.14 required by (x11-drivers/xf86-input-synaptics-1.8.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-evdev-2.9.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-keyboard-1.8.0:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server:= required by (x11-drivers/xf86-input-evdev-2.9.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-mouse-1.9.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-synaptics-1.8.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server:= required by (x11-drivers/xf86-video-nouveau-1.0.11:0/0::gentoo, ebuild scheduled for merge)
    >=x11-base/xorg-server-1.12[udev] required by (x11-drivers/xf86-input-evdev-2.9.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server:= required by (x11-drivers/xf86-input-synaptics-1.8.1:0/0::gentoo, ebuild scheduled for merge)
    x11-base/xorg-server[-minimal] required by (x11-drivers/xf86-video-nouveau-1.0.11:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages

any 'right' alternative I can do to make it work aside from the post I linked above?

Share this post


Link to post
Share on other sites
  • 0

Very similar configuration :

epro show

=== Enabled Profiles: ===

        arch: x86-32bit
       build: stable
     subarch: atom_32
      flavor: workstation
     mix-ins: X


=== All inherited flavors from workstation flavor: ===

                            core (from workstation flavor)
                         minimal (from core flavor)

=== All inherited mix-ins from workstation flavor: ===

                               X (from workstation flavor)
                           audio (from workstation flavor)
                             dvd (from workstation flavor)
                           media (from workstation flavor)
      mediadevice-audio-consumer (from media mix-in)
                mediadevice-base (from mediadevice-audio-consumer mix-in)
      mediadevice-video-consumer (from media mix-in)
                mediadevice-base (from mediadevice-video-consumer mix-in)
        mediaformat-audio-common (from media mix-in)
          mediaformat-gfx-common (from media mix-in)
        mediaformat-video-common (from media mix-in)
                  console-extras (from workstation flavor)

emerge --info :

Portage 2.2.20.1 (python 2.7.10-final-0, funtoo/1.0/linux-gnu/arch/x86-32bit, gcc-4.9.3, glibc-2.20-r2, 3.2.1-gentoo-r2 i686)
=================================================================
System uname: Linux-3.2.1-gentoo-r2-i686-Intel-R-_Atom-TM-_CPU_D525_@_1.80GHz-with-gentoo-2.2.0
KiB Mem:     2072576 total,    351768 free
KiB Swap:    3906556 total,   3906360 free
sh bash 4.3_p39-r1
ld GNU ld (Funtoo 2.25) 2.25.0
app-shells/bash:          4.3_p39-r1::gentoo
dev-java/java-config:     2.2.0-r1000::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1000::gentoo, 3.3.6-r1000::gentoo
sys-apps/baselayout:      2.2.0-r6::gentoo
sys-apps/openrc:          0.12.4-r4::gentoo
sys-apps/sandbox:         2.6-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r2::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.3-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://github.com/funtoo/ports-2012.git
    priority: -1000

Overlay_esa
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE PUEL sun-jdk-1.1 dlj-1.1"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS=""
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=5 --load-average=20 --with-bdeps=y --complete-graph --autounmask=y --autounmask-write"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -fomit-frame-pointer -march=atom -pipe"
GENTOO_MIRRORS="ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j3 -l3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
USE="7Zip X a52 aac acl acpi alsa apache2 apng bash-completion berkdb bluray bzip2 cdda cddb cdio cdparanoia cdr cracklib crypt ctype cxx dbus directfb dri dts dvb dvd dvdr dvdread encode exif faac faad fat fbcon ffmpeg flac fuse gdbm gdu ggi gif gphoto2 gpm i8x0 ico iconv icu ieee1394 ios ipod jpeg jpeg2k lame libass libcaca libguess libmpeg2 lirc lzma lzo matroska mjpeg mmx mmxext modules mp3 mp4 mpeg mtp mudflap mysql ncurses nls nptl nsplugin ntfs nvidia ogg opengl openmp oss pam pcre pdf php png postproc pppd python rar readline resolvconf samba session sndfile sse sse2 ssl ssse3 svg taglib tcpd theora tiff tokenizer truetype truetype-fonts twolame udev unicode userlocales v4l2 vdpau vorbis vpx wav wavpack webkit webp wmf x264 x265 x86 xattr xml xv xvid zip zlib {USE_KERNEL}" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel ice1724 intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 pc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_ABIS="2.7 3.3" PYTHON_SINGLE_TARGET="python3_3" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386" QEMU_USER_TARGETS="i386" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

I have uninstalled nvidia drivers.

then masked :

=app-eselect/eselect-opengl-1.3.1-r3
>x11-drivers/nvidia-drivers-340.76

After this emerge gives :
 

[ebuild N ] x11-libs/libXvMC-1.0.8::gentoo USE="-static-libs" 299 KiB
[ebuild N ] app-admin/eselect-1.4.5::gentoo USE="-doc -emacs -vim-syntax" 172 KiB
[ebuild N ] app-eselect/eselect-xvmc-0.4::gentoo 0 KiB
[ebuild N #] app-eselect/eselect-opengl-1.3.1-r3::gentoo 3 KiB
[ebuild N ] x11-proto/glproto-1.4.17-r1::gentoo 124 KiB
[ebuild N ] x11-misc/xkeyboard-config-2.14::gentoo 932 KiB
[ebuild N ] media-libs/mesa-10.5.2::gentoo USE="classic dri3 egl gallium gbm llvm nptl udev vdpau xa -bindist -d3d9 -debug -gles1 -gles2 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi -wayland -xvmc" VIDEO_CARDS="(-freedreno) -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 6,813 KiB
[ebuild N ] x11-base/xorg-server-1.16.4:0/1.16.1::gentoo USE="nptl suid udev xorg -dmx -doc -glamor -ipv6 -kdrive -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xnest -xvfb" 5,681 KiB
[ebuild N ] x11-libs/pangox-compat-0.0.2-r1::gentoo 262 KiB
[ebuild N ] x11-drivers/nvidia-drivers-304.128::gentoo USE="X acpi tools (-multilib) -pax_kernel" 39,657 KiB
[blocks B ] >=app-eselect/eselect-opengl-1.3.0 (">=app-eselect/eselect-opengl-1.3.0" is blocking x11-base/xorg-server-1.16.4)



And wnat to unmask

The following mask changes are necessary to proceed:
(see "package.unmask" in the portage(5) man page for more details
=app-eselect/eselect-opengl-1.3.1-r3 

I don't think it is a a issue with Nvidia driver because even with old Nvidia, it emerge the same pkg.

 

I don't understand who wnat to install "eselect-opengl-1.3.1-r3" :angry:

Share this post


Link to post
Share on other sites
  • 0

Hi,

You are right : if add "x11-base/xorg-server ~x86" to package.keywords

 

Then it doesn't complain :

[ebuild  N     ] x11-libs/libXvMC-1.0.8::gentoo  USE="-static-libs" 299 KiB
[ebuild  N     ] app-admin/eselect-1.4.5::gentoo  USE="-doc -emacs -vim-syntax" 172 KiB
[ebuild  N     ] app-eselect/eselect-xvmc-0.4::gentoo  0 KiB
[ebuild  N     ] app-eselect/eselect-opengl-1.3.1-r3::gentoo  3 KiB
[ebuild  N     ] x11-proto/glproto-1.4.17-r1::gentoo  124 KiB
[ebuild  N     ] x11-misc/xkeyboard-config-2.14::gentoo  932 KiB
[ebuild  N     ] media-libs/mesa-10.5.2::gentoo  USE="classic dri3 egl gallium gbm llvm nptl udev vdpau xa -bindist -d3d9 -debug -gles1 -gles2 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi -wayland -xvmc" VIDEO_CARDS="(-freedreno) -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 6,813 KiB
[ebuild  N    ~] x11-base/xorg-server-1.16.4-r4:0/1.16.1::gentoo  USE="nptl suid udev xorg -dmx -doc -glamor -ipv6 -kdrive -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xnest -xvfb" 5,681 KiB
[ebuild  N     ] x11-libs/pangox-compat-0.0.2-r1::gentoo  262 KiB
[ebuild  N     ] x11-drivers/nvidia-drivers-304.128::gentoo  USE="X acpi tools (-multilib) -pax_kernel" 39,657 KiB

 

It try to find the reason : I don't know how to interpret the message below. It seems that "app-eselect/eselect-opengl-1.3.1-r3" will be installed by "x11-proto/glproto-1.4.17-r1"


 (app-eselect/eselect-opengl-1.3.1-r3:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=app-eselect/eselect-opengl-1.3.0 required by (x11-proto/glproto-1.4.17-r1:0/0::gentoo, ebuild scheduled for merge)
    >=app-eselect/eselect-opengl-1.3.0 required by (media-libs/mesa-10.4.4:0/0::gentoo, ebuild scheduled for merge)
    >=app-eselect/eselect-opengl-1.0.9 required by (x11-drivers/nvidia-drivers-304.128:0/0::gentoo, ebuild scheduled for merge)
    >=app-eselect/eselect-opengl-1.0.8 required by (x11-base/xorg-server-1.16.4:0/1.16.1::gentoo, ebuild scheduled for merge)

But who asks to install glproto-1.4.17-r1 ? Empty list...

equery d x11-proto/glproto-1.4.17-r1
 * These packages depend on x11-proto/glproto-1.4.17-r1:
I check which version is "unstable" :equery list -po eselect-opengl
[-P-] [  ] app-eselect/eselect-opengl-1.2.7:0
[-P-] [  ] app-eselect/eselect-opengl-1.3.1-r3:0
# equery list -po app-admin/eselect
[-P-] [  ] app-admin/eselect-1.4.4:0
[-P-] [  ] app-admin/eselect-1.4.5:0
# equery list -po x11-proto/glproto
[-P-] [  ] x11-proto/glproto-1.4.16:0
[-P-] [ ~] x11-proto/glproto-1.4.16-r1:0
[-P-] [  ] x11-proto/glproto-1.4.17:0
[-P-] [  ] x11-proto/glproto-1.4.17-r1:0
# equery list -po media-libs/mesa
[-P-] [ ~] media-libs/mesa-10.3.7-r1:0
[-P-] [ ~] media-libs/mesa-10.3.7-r2:0
[-P-] [ ~] media-libs/mesa-10.4.3:0
[-P-] [ ~] media-libs/mesa-10.4.4:0
[-P-] [  ] media-libs/mesa-10.5.2:0
equery list -po x11-base/xorg-server
[-P-] [  ] x11-base/xorg-server-1.12.4-r5:0/1.12.4
[-P-] [  ] x11-base/xorg-server-1.15.2-r2:0/1.15.2
[-P-] [  ] x11-base/xorg-server-1.16.4:0/1.16.1
[-P-] [ ~] x11-base/xorg-server-1.16.4-r1:0/1.16.1
[-P-] [ ~] x11-base/xorg-server-1.16.4-r2:0/1.16.1
[-P-] [ ~] x11-base/xorg-server-1.16.4-r3:0/1.16.1
[-P-] [ ~] x11-base/xorg-server-1.16.4-r4:0/1.16.1
[-P-] [M~] x11-base/xorg-server-1.17.1:0/1.17.1
[-P-] [M~] x11-base/xorg-server-1.17.1-r1:0/1.17.1
[-P-] [M~] x11-base/xorg-server-1.17.2:0/1.17.2
[-P-] [M~] x11-base/xorg-server-1.17.2-r1:0/1.17.2

Thank

Eric

Share this post


Link to post
Share on other sites
  • 0

Hi,

Thank for the feedback about the bug.

 

Finally, I completely crashed my Funtoo BOX :huh: because I did a lot of mistake and a revdep-rebuild erased  almost all of the sbin and bin folder.

I fix it very quickly with a Minimal boot cd (copy bin and sbin from the CD to the HDD).

But, my XBMC didn't start due to this bug with OPENGL :(  And now since several days.

So, I decided to use one of my Raspberry to install XBMC (I selected OPENELEC). The XBMC was running again in less than one hour!

 

It confirms me that a FUNTOO/GENTOO box with a graphic environment is far more complex to be installed and to be updated .

 

That's why I decided to reinstall everything without a DESKTOP environment.

 

I weigh up the pros and cons of a DEBIAN and Arch linux distribution but I finally come back to Gentoo.

 

I have several reason to do this : I liked to be on FUNTOO but as I'm not an expert I fall into several issues that wasn't supported by gentoo users forum.

I think that it's a mistake to have split gentoo into two distributions and while I don't want to open a debate here, I think it is finally a weakness of the two distributions because it split the development resources and also the differences in the documentation of distributions bring some difficulties.

 

In the other way, Gentoo documentation is some time outdated, duplicated as example :

https://wiki.gentoo.org/wiki/Samba/Guide

https://wiki.gentoo.org/wiki/Samba

Or incomplete : As for example, I spent time to remind that Samba uses a different password database than the Gentoo system (not explained in the two wiki).

 

I'm not far and maybe in the future I'll coma back to a reunified distribution ;)

Share this post


Link to post
Share on other sites
  • 0

I ran into this clusterblock also.  I also run a stable system but mixin some unstables w/keyword file when necessary, and I have a few of my own ebuilds in a personal overlay for more arcane scientific software.  I don't agree that this is doing it wrong but to each his own.

 

Anyway, I got around the block with reference to this gentoo thread, only slightly tweaked (incr xorg server from r4 to r5).

# from https://forums.gentoo.org/viewtopic-p-7833004.html 
=x11-base/xorg-server-1.16.4-r5 ~amd64
=app-eselect/eselect-opengl-1.3.1-r4 ~amd64
=x11-proto/glproto-1.4.17-r1 ~amd64
=media-libs/mesa-10.3.7-r2 ~amd64

Anyway its emerging 7 of 52 updates right now, so at least it got past the blocker.  This server runs a simple intel video chipset so no funny business with fancy driver blobs.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...